diff -Nru NVIDIA-Linux-x86_64-435.21/kernel/common/inc/nv-linux.h NVIDIA-Linux-x86_64-435.21-new/kernel/common/inc/nv-linux.h
--- NVIDIA-Linux-x86_64-435.21/kernel/common/inc/nv-linux.h	2021-01-05 18:18:15.634703905 +0200
+++ NVIDIA-Linux-x86_64-435.21-new/kernel/common/inc/nv-linux.h	2021-01-05 17:04:24.610458818 +0200
@@ -168,6 +168,9 @@
 
 #include <linux/pagemap.h>
 #include <linux/dma-mapping.h>
+#if defined(NV_LINUX_DMA_MAP_OPS_H_PRESENT)
+#include <linux/dma-map-ops.h>
+#endif
 
 #if defined(CONFIG_SWIOTLB) && defined(NVCPU_AARCH64)
 #include <linux/swiotlb.h>
diff -Nru NVIDIA-Linux-x86_64-435.21/kernel/conftest.sh NVIDIA-Linux-x86_64-435.21-new/kernel/conftest.sh
--- NVIDIA-Linux-x86_64-435.21/kernel/conftest.sh	2021-01-05 18:18:15.635703880 +0200
+++ NVIDIA-Linux-x86_64-435.21-new/kernel/conftest.sh	2021-01-05 17:43:58.455210212 +0200
@@ -125,6 +125,7 @@
     FILES="$FILES xen/ioemu.h"
     FILES="$FILES linux/fence.h"
     FILES="$FILES linux/dma-resv.h"
+    FILES="$FILES linux/dma-map-ops.h"
     FILES="$FILES linux/ioctl32.h"
     FILES="$FILES soc/tegra/chip-id.h"
     FILES="$FILES video/nv_internal.h"
@@ -1352,6 +1353,9 @@
             #
             CODE="
             #include <linux/dma-mapping.h>
+            #if defined(NV_LINUX_DMA_MAP_OPS_H_PRESENT)
+            #include <linux/dma-map-ops.h>
+            #endif
             void conftest_phys_to_dma(void) {
                 phys_to_dma();
             }"
@@ -1366,6 +1370,9 @@
             #
             CODE="
             #include <linux/dma-mapping.h>
+            #if defined(NV_LINUX_DMA_MAP_OPS_H_PRESENT)
+            #include <linux/dma-map-ops.h>
+            #endif
             void conftest_dma_ops(void) {
                 (void)dma_ops;
             }"
@@ -1380,6 +1387,9 @@
             #
             CODE="
             #include <linux/dma-mapping.h>
+            #if defined(NV_LINUX_DMA_MAP_OPS_H_PRESENT)
+            #include <linux/dma-map-ops.h>
+            #endif
             void conftest_dma_ops(void) {
                 (void)swiotlb_dma_ops;
             }"
@@ -1397,6 +1407,9 @@
             #
             CODE="
             #include <linux/dma-mapping.h>
+            #if defined(NV_LINUX_DMA_MAP_OPS_H_PRESENT)
+            #include <linux/dma-map-ops.h>
+            #endif
             void conftest_get_dma_ops(void) {
                 get_dma_ops();
             }"
@@ -1417,6 +1430,9 @@
             #
             CODE="
             #include <linux/dma-mapping.h>
+            #if defined(NV_LINUX_DMA_MAP_OPS_H_PRESENT)
+            #include <linux/dma-map-ops.h>
+            #endif
             void conftest_noncoherent_swiotlb_dma_ops(void) {
                 (void)noncoherent_swiotlb_dma_ops;
             }"
@@ -1433,6 +1449,9 @@
             #
             CODE="
             #include <linux/dma-mapping.h>
+            #if defined(NV_LINUX_DMA_MAP_OPS_H_PRESENT)
+            #include <linux/dma-map-ops.h>
+            #endif
             void conftest_dma_map_resource(void) {
                 dma_map_resource();
             }"
@@ -3475,6 +3494,9 @@
             #
             CODE="
             #include <linux/dma-mapping.h>
+            #if defined(NV_LINUX_DMA_MAP_OPS_H_PRESENT)
+            #include <linux/dma-map-ops.h>
+            #endif
             void conftest_dma_is_direct(void) {
                 dma_is_direct();
             }"
diff -Nru NVIDIA-Linux-x86_64-435.21/kernel/nvidia-drm/nvidia-drm-gem-user-memory.c NVIDIA-Linux-x86_64-435.21-new/kernel/nvidia-drm/nvidia-drm-gem-user-memory.c
--- NVIDIA-Linux-x86_64-435.21/kernel/nvidia-drm/nvidia-drm-gem-user-memory.c	2021-01-05 18:18:15.616704362 +0200
+++ NVIDIA-Linux-x86_64-435.21-new/kernel/nvidia-drm/nvidia-drm-gem-user-memory.c	2021-01-05 18:22:37.048069193 +0200
@@ -20,6 +20,7 @@
  * DEALINGS IN THE SOFTWARE.
  */
 
+#include <linux/version.h>
 #include "nvidia-drm-conftest.h"
 
 #if defined(NV_DRM_AVAILABLE)
@@ -47,8 +48,13 @@
 {
     struct nv_drm_gem_user_memory *nv_user_memory = to_nv_user_memory(nv_gem);
 
+#if (LINUX_VERSION_CODE >= KERNEL_VERSION(5, 10, 0))
+    return drm_prime_pages_to_sg(nv_gem->nv_dev->dev, nv_user_memory->pages,
+				 nv_user_memory->pages_count);
+#else
     return drm_prime_pages_to_sg(nv_user_memory->pages,
                                  nv_user_memory->pages_count);
+#endif
 }
 
 static void *__nv_drm_gem_user_memory_prime_vmap(
